# Viewer 3D

This module creates a Field that can be used to render a 3D model using Babylon js

## Table of contents

- Introduction
- Requirements
- Installation
- Recommended modules
- Configuration
- Troubleshooting
- FAQ
- Upgrading
- Maintainers

## Introduction

The Viewer 3D module is a media type to view 3d objects for Drupal 10/11.
The primary use case for this module is to:

- **Add** 3d view to visualize object like products
- Offer different **color** option for specific 3d object

Goals:

- A comprehensive media type for Drupal 8/9.
- Field that can be used to render a 3D model

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Add new media type from viewer_3d source
2. Create o modify some **media field** to add the new media type created

## Troubleshooting

If the 3d object or materials does not display, check the following:

- Ensure the 3d object has .glb extension
- Selected the model and all textures that the 3d object need

## FAQ

**Q: What 3d types can upload ?**

**A:** For the moment only .glb objects are supportted

## Upgrading

- All existing configuration and submission data was maintained and updated
  through the beta and rc release cycles.
  **APIs have changed** during these release cycles.

## Maintainers

- Luis F, Segura - [luisfersegura](https://www.drupal.org/u/luisfersegura)
- Carlos Ospina - [camoa](https://www.drupal.org/u/camoa)
- Jonnathan Quijano - [jquijano](https://www.drupal.org/u/jquijano)
