<?php

namespace Drupal\viewer_3d\Plugin\Field\FieldType;

use Drupal\Core\Field\FieldItemBase;
use Drupal\Core\Field\FieldStorageDefinitionInterface;
use Drupal\Core\TypedData\DataDefinition;

/**
 * Plugin implementation of the 'Viewer3D_field' field type.
 *
 * @FieldType(
 * id = "Viewer3D_field",
 * label = @Translation("Viewer 3D Model"),
 * description = @Translation("A field to upload and display 3D models .glb files and associated textures."),
 * default_widget = "Viewer3D_widget",
 * default_formatter = "viewer3d_formatter"
 * )
 */
class Viewer3DField extends FieldItemBase
{

    /**
     * {@inheritdoc}
     */
    public static function propertyDefinitions(FieldStorageDefinitionInterface $field_definition)
    {
        $properties['files'] = DataDefinition::create('string')
            ->setLabel(t('Files'))
            ->setDescription(t('The 3D model file.'));

        return $properties;
    }

    /**
     * {@inheritdoc}
     */
    public static function schema(FieldStorageDefinitionInterface $field_definition)
    {
        return [
            'columns' => [
                'files' => [
                    'type' => 'varchar',
                    'length' => 255,
                ],
            ],
        ];
    }
}